ru.bitel.bgbilling.modules.tv.runtime

## Class ProductSpecRuntimeMap

- java.lang.Object
- - ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ProductSpec,ProductSpecRuntime>
  - - ru.bitel.bgbilling.modules.tv.runtime.ProductSpecRuntimeMap

- All Implemented Interfaces:
    EventListener<Event>

      public class ProductSpecRuntimeMap
      extends ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ProductSpec,ProductSpecRuntime>
      implements EventListener<Event>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProductSpecRuntimeMap` | `getInstance(ConnectionSet connectionSet)`
    `protected ProductSpecRuntime` | `newValue(ProductSpec value)`
    `void` | `notify(Event e, EventListenerContext ctx)`
    `protected void` | `onUpdate(java.sql.Connection con, int moduleId, java.util.List<ProductSpec> list)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory

      `get, getRef, init, list, newValue, onUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ProductSpecRuntimeMap getInstance(ConnectionSet connectionSet)
                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### newValue

          protected ProductSpecRuntime newValue(ProductSpec value)

      Specified by:
        `newValue` in class `ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ProductSpec,ProductSpecRuntime>`

    - #### onUpdate

          protected void onUpdate(java.sql.Connection con,
                                  int moduleId,
                                  java.util.List<ProductSpec> list)
                           throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `onUpdate` in class `ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ProductSpec,ProductSpecRuntime>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### notify

          public void notify(Event e,
                             EventListenerContext ctx)
                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `notify` in interface `EventListener<Event>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`